Mod.PartDesign.Scripts.Gear Namespace Reference

Functions

def compute ()
 
def hide ()
 
def proceed ()
 

Variables

 App = FreeCAD
 
 c1 = QtGui.QCheckBox("Create as a Mesh")
 
 commentFont = QtGui.QFont("Times",8,True)
 
 dialog = QtGui.QDialog()
 
 e1 = QtGui.QLabel("(for faster rendering)")
 
 Gui = FreeCADGui
 
 l1 = QtGui.QLineEdit()
 
 l2 = QtGui.QLineEdit()
 
 l3 = QtGui.QLineEdit()
 
 l4 = QtGui.QLineEdit()
 
 l5 = QtGui.QLineEdit()
 
 l6 = QtGui.QLineEdit()
 
 l7 = QtGui.QLineEdit()
 
 la = QtGui.QVBoxLayout(dialog)
 
 okbox = QtGui.QDialogButtonBox(dialog)
 
 t1 = QtGui.QLabel("Number of teeth (N)")
 
 t2 = QtGui.QLabel("Circular pitch (p)")
 
 t3 = QtGui.QLabel("Pressure angle (alfa)")
 
 t4 = QtGui.QLabel("Tooth hight factor (y)")
 
 t5 = QtGui.QLabel("Tooth clearance (c)")
 
 t6 = QtGui.QLabel("Tooth lateral clearance (j)")
 
 t7 = QtGui.QLabel("Gear width")
 

Function Documentation

def Mod.PartDesign.Scripts.Gear.compute ( )
def Mod.PartDesign.Scripts.Gear.hide ( )
def Mod.PartDesign.Scripts.Gear.proceed ( )

Variable Documentation

Mod.PartDesign.Scripts.Gear.App = FreeCAD
Mod.PartDesign.Scripts.Gear.c1 = QtGui.QCheckBox("Create as a Mesh")
Mod.PartDesign.Scripts.Gear.commentFont = QtGui.QFont("Times",8,True)
Mod.PartDesign.Scripts.Gear.dialog = QtGui.QDialog()
Mod.PartDesign.Scripts.Gear.e1 = QtGui.QLabel("(for faster rendering)")
Mod.PartDesign.Scripts.Gear.Gui = FreeCADGui
Mod.PartDesign.Scripts.Gear.l1 = QtGui.QLineEdit()
Mod.PartDesign.Scripts.Gear.l2 = QtGui.QLineEdit()
Mod.PartDesign.Scripts.Gear.l3 = QtGui.QLineEdit()
Mod.PartDesign.Scripts.Gear.l4 = QtGui.QLineEdit()
Mod.PartDesign.Scripts.Gear.l5 = QtGui.QLineEdit()
Mod.PartDesign.Scripts.Gear.l6 = QtGui.QLineEdit()
Mod.PartDesign.Scripts.Gear.l7 = QtGui.QLineEdit()
Mod.PartDesign.Scripts.Gear.la = QtGui.QVBoxLayout(dialog)
Mod.PartDesign.Scripts.Gear.okbox = QtGui.QDialogButtonBox(dialog)
Mod.PartDesign.Scripts.Gear.t1 = QtGui.QLabel("Number of teeth (N)")
Mod.PartDesign.Scripts.Gear.t2 = QtGui.QLabel("Circular pitch (p)")
Mod.PartDesign.Scripts.Gear.t3 = QtGui.QLabel("Pressure angle (alfa)")
Mod.PartDesign.Scripts.Gear.t4 = QtGui.QLabel("Tooth hight factor (y)")
Mod.PartDesign.Scripts.Gear.t5 = QtGui.QLabel("Tooth clearance (c)")
Mod.PartDesign.Scripts.Gear.t6 = QtGui.QLabel("Tooth lateral clearance (j)")
Mod.PartDesign.Scripts.Gear.t7 = QtGui.QLabel("Gear width")